Bug 15682 - Merging records from cataloguing search only allows to merge 2 records
Summary: Merging records from cataloguing search only allows to merge 2 records
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 8064
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-27 16:36 UTC by Katrin Fischer
Modified: 2017-12-07 22:16 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15682 - Merging records from cataloguing search only allows to merge 2 records (1.92 KB, patch)
2016-03-28 20:10 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15682 - Only allow merging of 2 or more records form lsits (for consistency) (1.42 KB, patch)
2016-03-28 20:11 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 15682 - Merging records from cataloguing search only allows to merge 2 records (1.97 KB, patch)
2016-04-19 02:16 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 15682 - Only allow merging of 2 or more records form lsits (for consistency) (1.48 KB, patch)
2016-04-19 02:16 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 15682 - Merging records from cataloguing search only allows to merge 2 records (2.04 KB, patch)
2016-04-19 06:27 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 15682 - Only allow merging of 2 or more records form lsits (for consistency) (1.54 KB, patch)
2016-04-19 06:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2016-01-27 16:36:22 UTC
When merging from the list, you can now merge multiple records. But when merging from the cataloguing search, a javascript alert tells you that only 2 records can be selected for merging. Obviously... both should work the same and allow for multiple records to be merged at once.
Comment 1 Nick Clemens 2016-03-28 20:10:23 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2016-03-28 20:11:04 UTC Comment hidden (obsolete)
Comment 3 Christopher Brannon 2016-04-05 22:48:53 UTC
(In reply to Nick Clemens from comment #2)
> Created attachment 49606 [details] [review] [review]
> Bug 15682 - Only allow merging of 2 or more records form lsits (for
> consistency)
> 
> Test as above but on shelves.pl

How do I bring up shelves.pl?
Comment 4 Nick Clemens 2016-04-05 22:54:18 UTC
(In reply to Christopher Brannon from comment #3)
> How do I bring up shelves.pl?

Apologies, try merging from a list in the staff client.

Lists from the home page or More-> lists

Then choose any list (you can create one from any cataloguing search by checking items and using the 'Add to list' button
Comment 5 Chris Cormack 2016-04-19 02:16:33 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2016-04-19 02:16:50 UTC Comment hidden (obsolete)
Comment 7 Katrin Fischer 2016-04-19 06:27:08 UTC
Created attachment 50386 [details] [review]
[PASSED QA] Bug 15682 - Merging records from cataloguing search only allows to merge 2 records

To test:
1 - Perform a cataloging search
2 - Attempt to merge 0 results - should fail
3 - Attempt to merge 1 resutls - should fail
4 - Attempt to merge 2 results - should succeed
5 - Attempt to merge 3 results - should succeed
6 - Test any other amount of records and if more than 1 it should
succeed

**Note: On shelves.pl you can merge a single record.  I think that is
incorrect so made this only work for 2. Will add a followup to fix
shelves.pl

Signed-off-by: Chris Cormack <chrisc@catalyst.net.z>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2016-04-19 06:27:11 UTC
Created attachment 50387 [details] [review]
[PASSED QA] Bug 15682 - Only allow merging of 2 or more records form lsits (for consistency)

Test as above but on shelves.pl

Signed-off-by: Chris Cormack <chrisc@catalyst.net.z>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Brendan Gallagher 2016-04-20 20:56:57 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 10 Julian Maurice 2016-04-21 07:55:46 UTC
These patches introduce strings changes, so they won't be in 3.22.6 (string freeze)
Comment 11 Julian Maurice 2016-05-16 07:16:15 UTC
Patches pushed to 3.22.x, will be in 3.22.7
Comment 12 Chris Cormack 2016-06-19 22:37:47 UTC
Pushed to 3.20.x will be in 3.20.11